/****************************************************************************
** Включать реле в определенное время (час, минута, секунда).
** Сценарий для сервера (поместить в каталог Scripts\ScriptsServer).
****************************************************************************/

var numPKU  = 1; // Номер пульта
var numDev  = 1; // Номер прибора
var numRelay= 1; // Номер реле

var hour    = 10; // Час
var minute  = 20; // Минута
var seconds = 30; // Секунда

setSheduler();

//---------------------------------------------------------------------------
function setSheduler()
{
    // Вызвать функцию controlRelay в заданное время
    var time = new Date();
    time.setHours(hour, minute, seconds, 0);
    armSkif.setSheduler(controlRelay, time);
}
//---------------------------------------------------------------------------
function controlRelay()
{
    armSkif.controlRelay(numPKU, numDev, numRelay, armSkif.RL_ON ); // Включить реле
    //armSkif.controlRelay(numPKU, numDev, numRelay, armSkif.RL_OFF); // Выключить реле

    setSheduler();
}
